APIModels
List models
GET
The models, newest first. status=done for the finished ones.
api_keyheader
AuthorizationBearer <token>An API key from Settings (ts_...).
limit*|Format
int64cursor*string|nullstatus*string|nullusable*|usable=true: only datasets whose data has not expired (what a new training can start from).
application/json- response
One page of a list, newest first: next is the cursor of the following page, null on the last.
data*array<>next?string|nullcurl -X GET "https://example.com/v1/models"{ "data": [ { "created_at": "2019-08-24T14:15:22Z", "dataset_id": "8c4c51f1-f6f3-43bc-b65d-7415e8ef22c0", "encoder": "string", "error": "string", "files_deleted_at": "2019-08-24T14:15:22Z", "files_expire_at": "2019-08-24T14:15:22Z", "gpu_usd": 0.1, "hf_repo": "string", "holdout_n": 0, "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "jev": {}, "jev_usd": 0.1, "metrics": {}, "name": "string", "onnx_bytes": 0, "options": {}, "public_at": "2019-08-24T14:15:22Z", "status": "string", "steps": {}, "updated_at": "2019-08-24T14:15:22Z", "verdict": "string", "version": 0 } ], "next": "string"}